base_convert
ceil
Math Functions
PHP Manual

# bindec

(PHP 4, PHP 5)

bindec — Binary to decimal

### Description

number bindec ( string `$binary_string` )

Returns the decimal equivalent of the binary number represented by the `binary_string` argument.

bindec() converts a binary number to an integer or, if needed for size reasons, float.

### Parameters

`binary_string`

  The binary string to convert

### Return Values

The decimal value of `binary_string`

### ChangeLog

Version | Description
--- | ---
Since 4.1.0 | The function can now convert numbers that are too large to fit into the platforms integer type, larger values are returned as float in that case.

### Examples

Example #1 bindec() example

`<?php
echo bindec('110011') . "\n";
echo bindec('000110011') . "\n";
echo bindec('111');
?>`

The above example will output:

    51
    51
    7

### See Also

- decbin()
- octdec()
- hexdec()
- base_convert()

base_convert
ceil
Math Functions
PHP Manual